
.popup {
  position: relative;
  /*display: none;*/
}

.popup-backdrop {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.popup-body {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #D2DBF9;
  min-width: 28em;
  min-height: 20em;
  border-radius: 2em;
}

.popup-image {
  width: 100%;
  height: 12em;
  border-top-left-radius: 2em;
  border-top-right-radius: 2em;
  background-image: url('~assets/images/popup-background.png');
  background-size: cover;
  position: relative;
}

.popup-close {
  position: absolute;
  top: -8px;
  right: -12px;
  font-size: 18px;
  padding: 10px 14px;
  border-radius: 50%;
  border: none;
  width: 44px;
  background-color: #929292;
  height: 44px;
  cursor: pointer;
  box-shadow: 0 0 12px rgb(0 0 0 / 40%);
  transition: all 0.2s;
}

.popup-close::before {
  content: "✖";
  position: absolute;
  top: -2px;
  right: -2px;
  border-radius: 50%;
  padding: 10px 14px;
  background-color: #DFDFDF;
}

.popup-close:hover::before {
  background-color: #e6e6e6;
}

.popup-close:active::before {
  top: 0;
  right: 0;
}

.popup-back {
  margin: auto;
  position: absolute;
  left: 8%;
  right: 8%;
  bottom: 2em;
  background-color: #B3C1E8;
  top: 2em;
  border-bottom-left-radius: 1.5em;
  border-bottom-right-radius: 1.5em;
}

.popup-text {
  margin: .5em auto;
  width: 80%;
  position: relative;
  text-align: center;
  font-size: 1.25em;
}

.popup-close-btn {
  padding: .25em 1.5em;
  color: #fff;
  background-color: #04114D;
  border-radius: 1em;
  font-size: 1.2em;
  margin: auto;
  display: block;
  position: relative;
  margin-top: 1em;
  margin-bottom: 2em;
  cursor: pointer;
  transition: all 0.3s;
}

.popup-close-btn:hover {
  background-color: #051766;
  box-shadow: 0 0 4px rgb(0 0 0 / 40%);
}

.popup-close-btn:active {
  background-color: #041149;
}

/*@keyframes bounceIn {*/
/*  0%,*/
/*  20%,*/
/*  40%,*/
/*  60%,*/
/*  80%,*/
/*  to {*/
/*    animation-timing-function: cubic-bezier(.215, .61, .355, 1)*/
/*  }*/
/*  0% {*/
/*    opacity: 0;*/
/*    transform: translate(-50%, -50%) scale3d(.3, .3, .3)*/
/*  }*/
/*  20% {*/
/*    transform: translate(-50%, -50%) scale3d(1.1, 1.1, 1.1)*/
/*  }*/
/*  40% {*/
/*    transform: translate(-50%, -50%) scale3d(.9, .9, .9)*/
/*  }*/
/*  60% {*/
/*    opacity: 1;*/
/*    transform: translate(-50%, -50%) scale3d(1.03, 1.03, 1.03)*/
/*  }*/
/*  80% {*/
/*    transform: translate(-50%, -50%) scale3d(.97, .97, .97)*/
/*  }*/
/*  to {*/
/*    opacity: 1;*/
/*    transform: translate(-50%, -50%) scaleX(1)*/
/*  }*/
/*}*/

/*.animate__bounceIn {*/
/*  animation-name: bounceIn;*/
/*  animation-duration: .75s;*/
/*  animation-fill-mode: both*/
/*}*/

/*@keyframes bounceOut {*/
/*  20% {*/
/*    transform: translate(-50%, -50%) scale3d(.9, .9, .9)*/
/*  }*/
/*  50%,*/
/*  55% {*/
/*    opacity: 1;*/
/*    transform: translate(-50%, -50%) scale3d(1.1, 1.1, 1.1)*/
/*  }*/
/*  to {*/
/*    opacity: 0;*/
/*    transform: translate(-50%, -50%) scale3d(.3, .3, .3)*/
/*  }*/
/*}*/

/*.animate__bounceOut {*/
/*  animation-duration: .75s;*/
/*  animation-name: bounceOut*/
/*}*/
